RDKit: ForceFields::AngleConstraintContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ForceFields::AngleConstraintContrib Class Reference

An angle range constraint modelled after a AngleBendContrib. More...

`#include <AngleConstraint.h>`

Inheritance diagram for ForceFields::AngleConstraintContrib:

## Public Member Functions
| AngleConstraintContrib ()
| AngleConstraintContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, unsigned int idx3, double minAngleDeg, double maxAngleDeg, double forceConst)
| Constructor.
| AngleConstraintContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, unsigned int idx3, bool relative, double minAngleDeg, double maxAngleDeg, double forceConst)
| ~AngleConstraintContrib () override=default
double | getEnergy (double *pos) const override
| returns our contribution to the energy of a position
void | getGrad (double *pos, double *grad) const override
| calculates our contribution to the gradients of a position
AngleConstraintContrib * | copy () const override
| return a copy
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

An angle range constraint modelled after a AngleBendContrib.

Definition at line 18 of file AngleConstraint.h.

## Constructor & Destructor Documentation

## ◆ AngleConstraintContrib() [1/3]

ForceFields::AngleConstraintContrib::AngleConstraintContrib | ( |  | ) |
| inline

Definition at line 21 of file AngleConstraint.h.

Referenced by copy().

## ◆ AngleConstraintContrib() [2/3]

ForceFields::AngleConstraintContrib::AngleConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | double | minAngleDeg,
|  | double | maxAngleDeg,
|  | double | forceConst )

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of atom1 in the ForceField's positions
  idx2 | index of atom2 in the ForceField's positions
  idx3 | index of atom3 in the ForceField's positions
  minAngle | minimum angle, must be between 0.0 and 180.0
  maxAngle | maximum angle, must be between 0.0 and 180.0
  forceConst | force Constant

References ForceFields::ForceFieldContrib::ForceField.

## ◆ AngleConstraintContrib() [3/3]

ForceFields::AngleConstraintContrib::AngleConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | bool | relative,
|  | double | minAngleDeg,
|  | double | maxAngleDeg,
|  | double | forceConst )

References ForceFields::ForceFieldContrib::ForceField.

## ◆ ~AngleConstraintContrib()

ForceFields::AngleConstraintContrib::~AngleConstraintContrib | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ copy()

AngleConstraintContrib * ForceFields::AngleConstraintContrib::copy | ( |  | ) | const
| inlineoverridevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 47 of file AngleConstraint.h.

References AngleConstraintContrib().

## ◆ getEnergy()

double ForceFields::AngleConstraintContrib::getEnergy | ( | double * | pos | ) | const
| overridevirtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

## ◆ getGrad()

void ForceFields::AngleConstraintContrib::getGrad | ( | double * | pos,
|  | double * | grad ) const
| overridevirtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- AngleConstraint.h